<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php $orido_redux_demo = get_option('redux_demo'); ?>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
    <link rel="shortcut icon" href="<?php if(isset($orido_redux_demo['favicon']['url'])){?><?php echo esc_url($orido_redux_demo['favicon']['url']); ?><?php } ?>">
    <?php } ?>
    <?php wp_head(); ?>
</head>
<body <?php body_class('dark'); ?>> 
    <div id="preloader">
        <div class="loader_line"></div>
    </div>
    <div class="orido_tm_all_wrap" data-magic-cursor="show">
        <div class="orido_tm_mobile_menu">
            <div class="mobile_menu_inner">
                <div class="mobile_in">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/')); ?>">
                            <?php if(isset($orido_redux_demo['logo_light']['url']) && $orido_redux_demo['logo_light']['url'] != ''){ ?>
                            <img src="<?php echo esc_url($orido_redux_demo['logo_light']['url']); ?>" alt="" />
                            <?php } else { ?>
                            <img src="<?php echo get_template_directory_uri();?>/img/logo/light.png" alt="" />
                            <?php } ?>
                        </a>
                    </div>
                    <div class="trigger">
                        <div class="hamburger hamburger--slider">
                            <div class="hamburger-box">
                                <div class="hamburger-inner"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="dropdown">
                <div class="dropdown_inner">
                    <?php 
                    wp_nav_menu( 
                        array( 
                            'theme_location' => 'primary',
                            'container' => '',
                            'menu_class' => '', 
                            'menu_id' => '',
                            'menu'            => '',
                            'container_class' => '',
                            'container_id'    => '',
                            'echo'            => true,
                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                            'walker'            => new orido_wp_bootstrap_navwalker(),
                            'before'          => '',
                            'after'           => '',
                            'link_before'     => '',
                            'link_after'      => '',
                            'items_wrap'      => '<ul id=" %1$s" class=" anchor_nav %2$s">%3$s</ul>',
                            'depth'           => 0,        
                        )
                    ); ?>
                </div>
            </div>
        </div>
        <div class="orido_tm_header">
            <div class="header_in header-top-fixed">
                <div class="logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(isset($orido_redux_demo['logo_light']['url']) && $orido_redux_demo['logo_light']['url'] != ''){ ?>
                        <img src="<?php echo esc_url($orido_redux_demo['logo_light']['url']); ?>" alt="" />
                        <?php } else { ?>
                        <img src="<?php echo get_template_directory_uri();?>/img/logo/light.png" alt="" />
                        <?php } ?>
                    </a>
                </div>
                <div class="menu">
                    <?php 
                    wp_nav_menu( 
                        array( 
                            'theme_location' => 'primary',
                            'container' => '',
                            'menu_class' => '', 
                            'menu_id' => '',
                            'menu'            => '',
                            'container_class' => '',
                            'container_id'    => '',
                            'echo'            => true,
                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                            'walker'            => new orido_wp_bootstrap_navwalker(),
                            'before'          => '',
                            'after'           => '',
                            'link_before'     => '',
                            'link_after'      => '',
                            'items_wrap'      => '<ul id=" %1$s" class=" anchor_nav %2$s">%3$s</ul>',
                            'depth'           => 0,        
                        )
                    ); ?>
                    <span class="ccc"></span>
                </div>
                <?php if(isset($orido_redux_demo['link_button']) && ($orido_redux_demo['link_button'] != '')){?>
                <div class="button">
                    <a href="<?php echo esc_url($orido_redux_demo['link_button']); ?>" download><?php echo wp_kses_post($orido_redux_demo['button']); ?></a>
                </div>
                <?php } ?>
            </div>
        </div>
